%global momorel 1

Name: cppunit
Version: 1.12.0
Release: %{momorel}m%{?dist}

Summary: C++ unit testing framework
# no license in files
License: LGPLv2+
Group: Development/Libraries
URL: http://cppunit.sourceforge.net/
Source: http://dl.sourceforge.net/sourceforge/cppunit/cppunit-%{version}.tar.gz
NoSource: 0
Patch0: cppunit-1.12.0-nolibdir.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: doxygen, graphviz

%description
CppUnit is the C++ port of the famous JUnit framework for unit testing.
Test output is in XML for automatic testing and GUI based for supervised tests.

%package devel
Summary: Libraries and headers for cppunit development
Group: Development/Libraries
Requires: pkgconfig, automake
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the libraries and headers necessary for developing
programs that use cppunit.

%package doc
Summary: HTML formatted API documention for cppunit
Group: Documentation

%description doc
The cppunit-doc package contains HTML formatted API documention generated by
the popular doxygen documentation generation tool.

%prep
%setup -q
%patch0 -p1 -b .nolibdir
for file in THANKS ChangeLog NEWS; do
   iconv -f latin1 -t utf8 < $file > ${file}.utf8
   touch -r $file ${file}.utf8
   mv ${file}.utf8 $file
done

%build
export LDFLAGS=-ldl
%configure --enable-doxygen --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
rm $RPM_BUILD_ROOT%{_libdir}/*.la
# remove double of doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/cppunit

# ensure that timestamp of cppunit-config is the same for all arches
touch -r cppunit-config.in.nolibdir $RPM_BUILD_ROOT%{_bindir}/cppunit-config

# clean up examples
rm -rf __dist-examples __dist-examples-dir
cp -a examples __dist-examples
make -C __dist-examples distclean
# Makefile.am files are left as documentation
find __dist-examples \( -name Makefile.in -o -name .cvsignore -o -name '*.dsw' -o -name '*.dsp' \) -exec rm {} \;
chmod a-x __dist-examples/qt/run.bat
mkdir __dist-examples-dir
mv __dist-examples __dist-examples-dir/examples

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS ChangeLog TODO BUGS doc/FAQ
%{_bindir}/DllPlugInTester
%{_libdir}/libcppunit*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/cppunit-config
%{_includedir}/cppunit
%{_libdir}/libcppunit.so
%{_datadir}/aclocal/cppunit.m4
%{_mandir}/man1/cppunit-config.1*
%{_libdir}/pkgconfig/cppunit.pc

%files doc
%defattr(-,root,root,-)
%doc __dist-examples-dir/examples/
%doc doc/html/

%changelog
* Wed Jul 16 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (1.12.0-1m)
- sync Fedora

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.11.6-4m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.11.6-3m)
- %%NoSource -> NoSource

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.11.6-2m)
- delete libtool library

* Sun May 28 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.11.6-1m)
- update to 1.11.6
- delete unused patch

* Sun May 29 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.2-2m)
- suppress AC_DEFUN warning.

* Tue Nov 30 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.10.2-1m)
- updated to 1.10.2

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (1.8.0-3m)
- revised spec for enabling rpm 4.2.

* Thu Jun 13 2002 Kenta MURATA <muraken2@nifty.com>
- (1.8.0-2k)
- first spec file.
